﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=11.2
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals

End Sub

Sub Globals
	
	Dim xui As XUI

	Private pnlColour As Panel
	Private btnNext As Button
	
	Private skbScore As SeekBar
	Private lblScore As Label
	
	Private myState As activityState						' This object will hold the activity state
	
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("Selector")
	Activity.Title = "Screen ONE"
	If FirstTime Then myState.Initialize				' Initialise the state variable
End Sub

' When the activity starts we need to check if it has run before. If it has
' then we retrieve its last state from the KVS.
Sub Activity_Resume
	Main.kvs.Put("startAt", 1)									' Record the fact that we have reached this activity
	If Main.kvs.ContainsKey("Activity1") Then		' This activity HAS run before
		myState = Main.kvs.Get("Activity1")				' Retrieve the activity state object
		If (Main.CODE_RED = myState.colour) Then pnlColour.color = xui.Color_Red
		If (Main.CODE_BLACK = myState.colour) Then pnlColour.Color = xui.Color_Black
		If (Main.CODE_blue = myState.colour) Then pnlColour.Color = xui.Color_Blue
		lblScore.Text = myState.score							' Restore the previous "score" value
	End If
End Sub


' When the activity ends we must save its state in the KVS
Sub Activity_Pause (UserClosed As Boolean)
	myState.score = skbScore.Value							' Update with the current score
	Main.kvs.Put("Activity1", myState)					' Save the activity state in the KVS
End Sub

' Respond to a "change colour" action
Private Sub pnlColour_Click
	Dim pnl As Panel
	pnl = Sender																' New colour is coded in the panel Tag
	If (Main.CODE_RED = pnl.Tag) Then pnlColour.color = xui.Color_Red
	If (Main.CODE_BLACK = pnl.Tag) Then pnlColour.Color = xui.Color_Black
	If (Main.CODE_blue = pnl.Tag) Then pnlColour.Color = xui.Color_Blue
	myState.colour = pnl.Tag										' Record the latest colour in the state variable
End Sub

Private Sub skbScore_ValueChanged (Value As Int, UserChanged As Boolean)
	lblScore.Text = skbScore.Value
End Sub

Private Sub btnNext_Click
	StartActivity(Activity2)										' Move on to the next activity
End Sub